-- ======================================================
-- Lua Universal Tools Configuration File
-- Edit by Croc 29.01.2017
-- ======================================================
-- Define the language of the 'Lua Universal Tools' Graphical Interface.
-- On Windows and Linux, the system locale's language is automatically detected
-- when language is set to "system_default".
-- On Mac, you can set your language by replacing "system_default" with
-- your language code possibly followed by "_" (underscore) and your country code.
-- The lists of codes for languages and countries are available here :
-- http://www.gnu.org/software/gettext/manual/gettext.html#Language-Codes
-- So far, available languages are "de" (German), "en" (English), "fr" (French),
--  "it" (Italian), "ko" (Korean), "nl" (Dutch), "ru" (Russian), "sv" (Swedish).
-------------------------------------------------------------------------------------------------------
-- language = "system_default"
language = "en"
-- language = "fr" 
-- language = "ru"

-------------------------------------------------------------------------------------------------------

-- Define the date format.
-- You can choose among "country_default", "day/month/year", "month/day/year", and "year/month/day".
-------------------------------------------------------------------------------------------------------
-- date_format = "country_default"
   date_format = "day/month/year"

-------------------------------------------------------------------------------------------------------

-- Define the Time Zone.
-- On all platforms, the system locale's Time Zone is automatically detected when
-- time_zone is set to "system_default". In this case, Time will automatically switch
-- to Daylight saving time (DST) at the appropriate date and time.
-- You can set your own value for time_zone by replacing "system_default" with an (unquoted)
-- integer or decimal number. In this case, you will have to manually set the new value to switch
-- to Daylight saving time.
-------------------------------------------------------------------------------------------------------
time_zone = "system_default"

-------------------------------------------------------------------------------------------------------
-- This file contains configuration parameters read by the 'Lua Universal Tools' each time
-- they are run. You can change each one of them according to your specific needs.
-------------------------------------------------------------------------------------------------------
celestia:setrenderflags{galaxies = true,}

-------------------------------------------------------------------------------------------------------
-- Define whether the 'Lua Universal Tools' are enabled or not when Celestia starts.
-------------------------------------------------------------------------------------------------------
show_lua_universal_tools_v5 = true

-------------------------------------------------------------------------------------------------------
-- Define the general opacity of the 'Lua Universal Tools' Graphical Interface.
-- Can take values between 0 (= transparent) and 1 (= opaque).
-------------------------------------------------------------------------------------------------------
opacity = 1

-------------------------------------------------------------------------------------------------------
-- Define colors of elements of the 'Lua Universal Tools' Graphical Interface
-- such as text messages, active buttons, sliders, ...
-- Colors are defined using {Red, Green, Blue, Alpha} color code where
-- Red, Green, Blue and Alpha are decimal values between 0 and 1.
-------------------------------------------------------------------------------------------------------
cbutextoff =    {0.8, 0.9, 0.9, 0.8}    -- unactivated button text color
cbutexton =    {0.8, 0, 0, 0.6}    -- activated button text color
cbubordoff =    {0.2, 0.4 , 0.4, 0.6}    -- unactivated button border color
cbubordon =    {0.6, 0, 0, 0.4}    -- activated button border color
ctext =     {1, 1, 1, 0.9}    -- main text color
ctextalert =    {1, 0, 0, 0.7}    -- text color for alert message
ctextinfo =     {1, 1, 1, 0.9}    -- info text color

csetbofill =    {0.05, 0.1 , 0.1, 0.9}    -- setting box filling color

cslidefrbord =    {0.8, 0.9, 0.9, 0.5}    -- slider frame border color
cslidebobord =    {0.3, 0.5 , 0.5, 0.9}    -- slider box border color
cslidebofill =    {0.2, 0.4, 0.4, 0.2}    -- slider box filling color
cscrollfill =    {0.1, 0.3, 0.3, 0.2}    -- scrollbar filling color
cclotext =    {0.4, 0.6 , 0.6, 0.9}    -- close button text color
cchetextoff =    {1, 1, 1, 0.25}    -- unavailable check-box text color
cdistmark =    {0.5, 0.5, 0, 0.9}    -- distance marker color

-- ======================================================
-- Цвет заливки графического интерфейса:
-- ======================================================

 cFrameFill = {0, 0 , 0.5, 0.4}
 cDisplFill = {0, 0.5, 0.5, 0.4}
 cPanelFill = {0.05, 0.1 , 0.1, 0.9}

-- Define the set of elements (or boxes) that are included in the Tool Box.
-- If you want to remove an element, just add a comment mark '--' before its name.
-- The elements are displayed on screen in the same order as they're listed in 'toolset'. You can change
-- the place of all elements in 'toolset', except 'compassBox' that must remain at the end of the list.

-- ======================================================
-- Цвет шрифта и заливки для Путеводителей:
-- ======================================================
-- Временно, для Gironde pour assurer la compatibilté avec vous
checkBcolor = cbubordoff

color1  = cbutextoff                         -- шрифт белый 
color1  = ctext                              -- шрифт белый
color2  = {1,1,0,1}                          -- шрифт желтый
color3  = {0.55,0.38,0.22,1}                 -- шрифт коричневый
color4  = {0,1,0,1}                          -- шрифт зелёный
color5  = {1,0.6,0,1}                        -- шрифт оранжевый
color6  = {0,0.69,0.94,1}                    -- шрифт голубой
color7  = {0,1,1,1}                          -- шрифт бирюзовый
color8  = {1,1,1,0.3}                        -- шрифт светло-серый
color9  = {0,0,0,0.8}                        -- шрифт черный
color0  = {1,0,0,0.8}                        -- шрифт красный
specificAddon =	{0.1,0.5,0,1}

--===============================

color01 = {0,0,0.5,0.8}                        -- ПЛАНЕТА
color02 = {0,0,0,1}                            -- Луна
color03 = {0,0,0,1}                            -- М.Луна
color81 = {0.18,0.18,1,1}                      -- М.Планета      
color82 = {1,1,1,0.3}                          -- Троянец
color83 = {0,0,0,1}                            -- Спутник
color91 = {0,0,0,1}                            -- Плутоид  
color92 = {0,0,0,1}                            -- Седноид
color93 = {0.63,0.63,0.64,1}                   -- ~= и > 400 км. 

color11 = {1,0.38,0.38,1}                      -- Атира
color12 = {1,0,0,1}                            -- Атон
color13 = {0.65,0,0,1}                         -- Аполлон
color21 = {1,0.67,0.34,1}                      -- Амур
color22 = {0.89,0.43,0.04,1}                   -- Марс-Кроссер
color23 = {0.56,0.27,0.02,1}                   -- Кентавр
color31 = {0.92,0.99,0.19,1}                   -- ПА внутренний
color32 = {0.55,0.68,0,0.9}                    -- ПА основной
color33 = {0.31,0.39,0,0.9}                    -- ПА внешний
color41 = {0.07,1,0.49,1}                      -- Кьюбивано
color42 = {0,0.59,0.51,1}                      -- Плутино
color43 = {0,0.41,0.18,0.8}                    -- Тутино
color51 = {0.1,0.76,1,1}                       -- Др. резонанс ПК
color52 = {0,0.45,0.65,1}                      -- Др. астероид ПК
color53 = {0,0.37,0.41,0.8}                    -- Объект ПК
color61 = {0.40,0.40,1,1}                      -- Др. резонанс РД
color62 = {0.18,0.18,1,1}                      -- Др. астероид РД
color63 = {0,0,0.49,1}                         -- Объект РД
color71 = {0.6,0.41,0.75,1}                    -- Дамоклоид                
color72 = {0.54,0.23,0.67,1}                   -- Обособленный объекты
color73 = {0.33,0.15,0.47,1}                   -- Облако Оорта

----------------------------------------------------------------------------------
-- Define the size of photo (can take values between 1 to 4).
-- Определите размер фото (может принимать значения от 1 до 4)
----------------------------------------------------------------------------------
photo_size = 3;

--==============================================
-- Load the upper menu modules
-- Загрузка модулей в верхнем меню
-- Modernization by Patrick Ziegler a.k.a. Gironde 07-04-2017, 10-04-2017
--==============================================
toolset =                           -- command's buttons and frames
    { 

-- menuLine
   "menuLine1Box",         --"TimeStopBox" : menuLine1
      "gap4Box",
      "gap1Box",
	  
      "menuLine1_1Box",    -- added Croc 0109-2018
      "gap1Box", -- added Croc 0109-2018

    "menuLine2Box",          -- Calls the container first -- menuLine2   
        "renderBox",             -- attach at menuLine2Box
	    "addsBox",				 -- attach at menuLine2Box		
        "gap1Box",

    "menuLine3Box",          -- Calls the container first -- menuLine3
        "solarSystemBox",        -- attach at menuLine3Box
	    "ViDiBaBox",	         -- attach at menuLine3Box
        "ObjectVisibility",    -- no box simple button, attach at menuLine3Box
	    --"legendBox",           -- attach at menuLine3Box
	    --"renderLocsBox",       -- attach at menuLine3Box		
        "gap1Box",

     "menuLine4Box",         -- Calls the container first -- menuLine4
        "guidesBox",	         -- attach at menuLine4Box
		--"guidesOnOffBox",      -- no box simple button, attach at menuLine4Box
        "helpBox",		         -- attach at menuLine4Box
        "liftBox",		         -- attach at menuLine4Box
        "cockpitsBox",           -- attach at menuLine4Box        
        "gap1Box",

     "menuLine5Box",         -- Calls the container first -- menuLine5
        "KeplerParamBox",        -- attach at menuLine5Box
        "LagrangeBox",	         -- attach at menuLine5Box
        "renderLocsBox",         -- attach at menuLine5Box 		
        "gap1Box",

     "menuLine6Box",         -- Calls the container first -- menuLine6
        "HRBox",      	         -- attach at menuLine6Box
	    "sepAnglesBox",	         -- attach at menuLine6Box	
        "legendBox",             -- attach at menuLine6Box		 
        "gap1Box",
        
     "menuLine7Box",         -- Calls the container first -- menuLine7
        "panel1Box",             -- attach at menuLine7Box             
        "panel2Box",             -- attach at menuLine7Box               
        "panel3Box",             -- attach at menuLine7Box              
        "compassBox",            -- attach at menuLine7Box             
        "panel7Box",             -- attach at menuLine7Box          
        "gap1Box",
        "gap1Box", 
-- ============================================
-- Guides / Путеводители:
--============================================
       "constLatBox",             -- Cn1 - Созвездия  
        --"gap4Box",              -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "constBox",                -- Cn2  - Созвездия  
        --  "gap4Box",            -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "MessierBox",              -- М - Каталог Мессье 
        --     "gap4Box",         -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "galNamBox",               -- GN - Именные галактики  
        --      "gap4Box",        -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "nebNamBox",               -- NN   - Именные туманности  
        --      "gap4Box",        -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "exoNamBox",               -- EN - Именные экзопланеты
        --      "gap4Box",        -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "exoBox",                  -- Exo. - Экзопланеты
        --      "gap4Box",        -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "InterestingBox",          -- Int. - Интересные объекты
        --     "gap4Box",         -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "gap1Box",                 -- промежуток1 (не убирать!)
-----------------------------------------------------------------------------------
       "gap4Box",                 -- промежуток4 (не убирать!)
-----------------------------------------------------------------------------------	  
       "LocsBox",                 -- Loc - Объекты с локациями
        --     "gap4Box",         -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "terrestrialBox",          -- 4pl -  Земная группа планет
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "JupiterBox",              -- Ju1  - Луны Юпитера 
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Jupiter2Box",             -- Ju2  - Луны Юпитера-2 
         --   "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Jupiter3Box",             -- Ju3  - Луны Юпитера-2 
         --   "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "SaturnBox",               -- Sa1    - Гид. Луны Сатурна  
        --    "gap4Box",                -- gap4 / промежуток2 
----------------------------------------------------------------------------------- 
       "Saturn2Box",              -- Sa2- Гид. Луны Сатурна  
        --    "gap4Box",          -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "UranBox",                 -- Ur - Объекты Урана
        --    "gap4Box",          -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "NeptuneBox",              -- Ne - Объекты Нептуна  3D-пояса астероидов
        --      "gap4Box",        -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "gap1Box",                 -- промежуток1 (не убирать!)
------------------------------------------------------------------------------------
       "gap4Box",                 -- промежуток4 (не убирать!)
------------------------------------------------------------------------------------
       "AstBelt1Box",             -- AB1  - Пояс Астероидов, часть 1 
       --    "gap4Box",           -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "AstAAABox",              -- AA+ - Аполлоны, Атиры, Атоны  
      -- "AstNameBox",
        --    "gap4Box",          -- gap4 / промежуток2 
----------------------------------------------------------------------------------
       "AmurMarsBox",             -- AM - Амуры и Марс-Кроссеры
        --    "gap4Box",          -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Troyan1Box",              -- Tr1 - Именные Троянцы Юпитера-1
        --    "gap4Box",          -- gap4 / промежуток2      
-----------------------------------------------------------------------------------
       "Troyan2Box",              -- Tr2 - Именные Троянцы Юпитера-2
        --    "gap4Box",          -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "Troyan3Box",              -- Tr3 - Именные Троянцы Юпитера-3
        --    "gap4Box",          -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Troyan4Box",              -- Tr4 - Именные Троянцы Юпитера-4, Троянцы Урана и Нептуна
        --    "gap4Box",          -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "AstSat1Box",              -- As1 - Астероидные системы
        --    "gap4Box",          -- gap4 / промежуток2  		
-----------------------------------------------------------------------------------
       "AstSat2Box",              -- As2 - Астероидные системы
        --    "gap4Box",          -- gap4 / промежуток2  		
-----------------------------------------------------------------------------------
       "SystemBox",               -- Sys - Астероидные системы
        --    "gap4Box",          -- gap4 / промежуток2  		
-----------------------------------------------------------------------------------
       "NinthBox",                -- Nin - ТНО именные
        --    "gap4Box",          -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "cometsBox",               --  Co1 - Кометы
        --    "gap4Box",          -- gap4 / промежуток2 
----------------------------------------------------------------------------------- 
       "comets2Box",              --  Co2 - Кометы
        --    "gap4Box",          -- gap4 / промежуток2	  
-----------------------------------------------------------------------------------
       "comets3Box",              --  Co3 - Кометы
        --    "gap4Box",          -- gap4 / промежуток2	  
-----------------------------------------------------------------------------------
       "gap1Box",                 -- промежуток1 (не убирать!)
------------------------------------------------------------------------------------
       "gap4Box",                 -- промежуток4 (не убирать!)
------------------------------------------------------------------------------------
       "SpaceRaceBox",            -- Te1 - Space race (Road to Space) / Космическая гонка  (Дорога в Космос)
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Te2Box",                  -- Te2 - Исследование Земли-1
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "Te3Box",                  -- Te3 - Исследование Земли-2
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "RocBox",                  -- Ro1 - Ракеты-носители-1
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "Roc2Box",                 -- Ro2 - Ракеты-носители-2
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "ISSBox",                  -- ISS - Mounting the ISS / Монтаж МКС
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "LunaBox",                 -- Lu1 - СССР.Исследование Луны
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Luna2Box",                -- Lu2 - США.Исследование Луны
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "VenusBox",                -- Ve - Исследование Венеры
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "MarsBox",                 -- Ma - Исследование Марса
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Sol1Box",                 -- So1 - Исследование Земли
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Sol2Box",                 -- So2 - Исследование Солнечной системы
        --    "gap4Box",                -- gap4 / промежуток2 
-----------------------------------------------------------------------------------
       "Sol3Box",                 -- So3 - Исследование звёзд, комет, астероидов 
        --    "gap4Box",                -- gap4 / промежуток2	
-----------------------------------------------------------------------------------
       "Sol4Box",                 -- So4 - Исследование-2 звёзд, комет, астероидов 
        --    "gap4Box",                -- gap4 / промежуток2		
-----------------------------------------------------------------------------------
       "TelescopeBox",            -- Tele - Космические телескопы и др.
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------
       "Telescope2Box",           -- Tel2 - Космические телескопы-2 и др.
        --    "gap4Box",                -- gap4 / промежуток2
-----------------------------------------------------------------------------------   
       "gap4Box",                 -- промежуток4 (не убирать)
----------------------------------------------------------------------------------
       "FictionalBox",            -- Fic - Вымышленные  
        --    "gap4Box",                -- gap4 / промежуток2  
-----------------------------------------------------------------------------------
	
		
}

------------------------------------------------------------------------------------
-- Define the texture to use the cockpit overlay.
------------------------------------------------------------------------------------
cockpitTexture = "../images/cockpit.png"
compass_ruTexture = "..compass_ru.png"

------------------------------------------------------------------------------------
-- Define whether the features are enabled or not when Celestia starts.
-- Определить, включены ли функции или нет при загрузке Celestia.
------------------------------------------------------------------------------------
enable_info = false
enable_coordinates = false
enable_magnification = false
enable_HR = false
enable_Kepler_param = false

enable_virtual_pad = false
enable_virtual_pad = false

enable_compass = false
enable_compass = false

-------------------------------------------------------------------------------------------------------
-- Define the state of the distance check-box when Celestia starts.
-- Can take the following values:
--         0: distance markers are disabled;
--         1: display square distance markers only;
--         2: display circle distance markers only;
--         3: display both square and circle distance markers;
-------------------------------------------------------------------------------------------------------
distance_state = 0

-------------------------------------------------------------------------------------------------------
-- Define whether local Time or UTC Time is displayed by default.
-------------------------------------------------------------------------------------------------------
show_local_time = true

-------------------------------------------------------------------------------------------------------
-- Define the travelling duration (in seconds) of the Custom Goto command, accessible by [Shift]+[G].
-------------------------------------------------------------------------------------------------------
custom_goto_duration = 15

-------------------------------------------------------------------------------------------------------
-- Define objects to magnify when the magnification box is checked.
-- Objects to magnify can be:
--         "planets": magnify all the planets in our solar system;
--         "moons": magnify all the moons in our solar system;
--         "asteroids": magnify all the asteroids in our solar system;
--         "comets": magnify all the comets in our solar system;
--         "earth_moon": magnify the Earth and the Moon.
-------------------------------------------------------------------------------------------------------
magnified_objects = "planets"

-------------------------------------------------------------------------------------------------------
-- Define the different magnification coefficients.
-------------------------------------------------------------------------------------------------------
planets_magnification = 2000
moons_magnification = 100
asteroids_magnification = 200000
comets_magnification = 2000
earth_moon_magnification = 30

-------------------------------------------------------------------------------------------------------
-- Define the default position of compass on screen.
-- Определить положение по умолчанию компаса на экране.

-- If center_compass is set to 'true', compass will be displayed at the bottom center of the screen.
-- Если center_compass установлен в 'true', компас будет отображаться в центре нижней части экрана.

-- If center_compass is set to 'false', compass will be displayed under the toolBox (if the screen height allows).
-- Если center_compass установлен в 'false', компас будет отображаться в панели инструментов (если позволяет высота экрана).
-------------------------------------------------------------------------------------------------------

center_compass = false

-------------------------------------------------------------------------------------------------------
-- Define the size of compass (can take values between 50 and 150).
-------------------------------------------------------------------------------------------------------

-- compass_size = 60
compass_size = 75

-------------------------------------------------------------------------------------------------------
-- Define whether Alt Azimuthal mode is automatically enabled or not when in Planetarium Mode.
-- If alt_azimuthal_mode is set to 'true', disabling it with CTRL+F while the Lua Tools are running
-- won't be possible (forced mode).
-------------------------------------------------------------------------------------------------------

alt_azimuthal_mode = false

-------------------------------------------------------------------------------------------------------
-- Define the zooming speed of the FoV slider (can take values between 1 and 10).
-------------------------------------------------------------------------------------------------------

zoom_speed = 5

-------------------------------------------------------------------------------------------------------
-- Define the size of virtual pad (can take values between 50 and 120).
-- Определить размер виртуальной площадки (может принимать значения от 50 до 120).
-------------------------------------------------------------------------------------------------------

virtual_pad_size = 120

-------------------------------------------------------------------------------------------------------
-- Define whether the virtual pad pitch is reversed or not.
-- Определить, является ли площадка джойстика reversed (обратным!?) или нет.
-------------------------------------------------------------------------------------------------------

reverse_pad_pitch = true    -- было
-- reverse_pad_pitch = false

-------------------------------------------------------------------------------------------------------
-- Define the rotation speed of virtual pad (can take values between 1 and 10).
-- Определить скорость вращения джойстика (может принимать значения от 1 до 10).
-------------------------------------------------------------------------------------------------------

virtual_pad_speed = 10

-------------------------------------------------------------------------------------------------------
-- Define the Orbit Time Adjustment Coefficient around the selected object in compassBox
-- We found that the actual rotation time depended on the configuration of the computer 
-- on which Celestia was running (script,processor, system, process running ...)
-- To do:
-- 1)  fixe AdjustAtPc = 1.0
-- 2)  run Celestia with LUT
-- 3)  display panel4 (compass)
-- 4)  select a speed not too fast (around 40)
-- 5)  select and go to the Earth and displace the name EARTH on the northern tip of Madagascar
-- 6)  run the rotation and trying to measure the time we put in to get back to it.
-- 7)  AdjustAtPc = measured time / displayed time
-- for exemple: on a PC with Windows XP, we found a coefficient of 1.1
-- and on a PC with Windows 10, we found a coefficient of 2.1
-- but this can be completely different with another computer and other processes.
-------------------------------------------------------------------------------------------------------
-- AdjustAtPc = 2.1
AdjustAtPc = 1
-------------------------------------------------------------------------------------------------------
-- Define the default position of virtual pad on screen.
-- Определить положение по умолчанию виртуальной площадки на экране.

-- If center_virtual_pad is set to 'true', virtual will be displayed at the bottom center of the screen.
-- Если center_virtual_pad установлен 'true', джойстик будет отображаться в центре нижней части экрана.

-- If center_virtual_pad is set to 'false', virtual will be displayed under the toolBox (if the screen height allows).
-- Если center_virtual_pad установлен в 'false', джойстик будет отображаться в панели инструментов (если позволяет высота экрана).

-- If compass is enabled, the position of virtual pad is determined according to the position of compass.
-- Если компас включен, положение виртуальной площадки определяется в соответствии с положением компаса.
-------------------------------------------------------------------------------------------------------

center_virtual_pad = false

-------------------------------------------------------------------------------------------------------
-- Define the number of lines displayed in the Addon and ViDiBa Visivility list.
-------------------------------------------------------------------------------------------------------

Adds_list_nlines = 28 --18  -- 15 entries visible in the frame and display scrollbar if more in the table (34 entries)
ViDiBa_list_nlines = 40 -- 21 entries in the table (if less the scrollbar is not displayed !!!)
-------------------------------------------------------------------------------------------------------

-- Define the list of elements that are included in the render setting window.
-- To remove an element, just add a comment mark '--' before its name.
-- The name of elements shouldn't be modified. This would break the function associated
-- to the corresponding check-box.
-- Elements which belong both to orbitclass and labelclass should keep the same range
-- and state in these two lists.

-- ==================================================================================
-- Фактическая компоновка
-- ==================================================================================
renderclass =

    {  
        "",                -- Group Separation Mark 
        "Constellations",                      
        "Galaxies",               
        "Globulars",              
        "Open Clusters",          
        "Nebulae",              
        "Stars",                  
        "Planets",	
        "",-- "9", --"Planets", 
        "",-- "10", --"Dwarf Planets",
        "",-- "11", --"Moon",        
        "",-- "12", --"Minor Moon",
        "13", --"Asteroid",
        "14", --"Comet",
        "15", --"Spacecraft", 
	   
	    }

orbitclass =
    {
        "",          
        "",                      
        "",                       
        "",                       
        "",                       
        "",                       
        "Star",
        "",
     --   "Planets (class)",
        "Planet",
        "Dwarf Planet",
        "Moon",        
        "Minor Moon",
        "Asteroid",
        "Comet",
        "Spacecraft",
       
    }

labelclass =
    {
        "Constell. in Latin", 
        "Constellations",        
        "Galaxies",
        "Globulars",
        "Open Clusters",
        "Nebulae",
        
        "Stars",
        "", 
     --   "Planets (class)",
        "Planets",
        "Dwarf Planets",
        "Moons",
        "Minor Moons",
        "Asteroids",
        "Comets",
        "Spacecraft", 
                     
        "",   
        -- "Barycenter",    
    }

guideclass =
    { 

        "Boundaries",  
        "Orbits",
        "Markers",  
        --"Partial Trajectories",
        "Ecliptic",      
        "Equatorial Grid",
        "Horizontal Grid",
        "Galactic Grid",
        "Ecliptic Grid",
      
        "",   
        "Atmospheres",
        "Cloud Maps",
        "Cloud Shadows",
        "Ring Shadows",
        "Eclipse Shadows",
        "Comet Tails",
        "Night Maps", 
         "",   -- < = add line   
        "Smooth Lines",
        "Lightdelay",
      
}

-------------------------------------------------------------------------------------------------------
-- Define the list of elements that are included in the 'Addon Visibility' setting window.
-- To remove an element, just add a comment mark '--' before its name.
-------------------------------------------------------------------------------------------------------

adds =
    {

"Realistic_Milky_Way",
"Asteroid_Belt",
"Kuiper_Belt",
"Oort_Cloud",
"Nebulae",
"Visible_Rings",
"Propellers_of_Saturn", 
"Geomagnetic_Field",
"Aurora",
"Space_Lift",
"Political_Borders",
"Tectonic_Plates",
"Plates_Motions",
"Oceans_Seas_Coasts",
------------------------------------------
-- Education:
------------------------------------------
--"Sol_and_Planets_2013",
--"Earth_Structure",
--"Atmosphere_Composition", 
--"MoonriseMoonset",
--"SunriseSunset",
--"Random_Motion",
--"Earth_Launch",
--"Mars_Tour",
--"Shadowplay_Jupiter",
--"Arabic_Star_Tour",
--"Sozvez",
--"Solar_System_by_Size",
--"Dying_Sun",
--"Hubble_Classification",
--"Near_stars",
--"Galactic_Center",
--"Habitable_Zone",
--"Extrasolar_Marks",
--"Large_Scale_Universe",
--"Microwave_Map",
--"Microwave_Map_Q",
--"Fiction_Objects",
		
}

ViDiBa =
{
--"AllAsteroids",      -- Все Астероиды Коллекция #1
--"AllComets",         -- Все кометы
--"AllPlanets",        -- Все планеты
--"AllDwarfPlanets",   -- Все карликовые планеты
--"AllMoons",          -- Все луны
--"AllMinorMoons",     -- Все малые луны
--"AllSpacecraft",     -- Все космические аппараты
-- ===================
"Asteroids01", -- Asteroids s.m. axis 1.8-2,3531 u.a.
"Asteroids02", -- Asteroids s.m. axis < 2.4628 u.a.
"Asteroids03", -- Asteroids s.m. axis < 2.6083 u.a.
"Asteroids04", -- Asteroids s.m. axis < 2.67908 u.a.
"Asteroids05", -- Asteroids s.m. axis < 2.76531 u.a.
"Asteroids06", -- Asteroids s.m. axis < 2.8691 u.a.
"Asteroids07", -- Asteroids s.m. axis < 3.01028 u.a.
"Asteroids08", -- Asteroids s.m. axis < 3.0853 u.a.
"Asteroids09", -- Asteroids s.m. axis < 3.1415 u.a.
"Asteroids10", -- Asteroids s.m. axis < 3.16796 u.a.
"Asteroids11", -- Asteroids s.m. axis < 3.21186 u.a.
"Asteroids12", -- Asteroids s.m. axis < 4.3058 u.a.
"Asteroids13", -- 13-Atira
"Asteroids14", -- 14-Aton
"Asteroids15", -- 15-Apollo
"Asteroids16", -- 16-Amours
"Asteroids17", -- 17-Mars-crosser
"Asteroids18", -- 18-Centaurs
"Asteroids19", -- 19-Damocloid
"Asteroids20", -- 20-Trojans

"Asteroids25", -- 25-Meteorites
"Asteroids26", -- 26-Outside of class
"Asteroids28", -- 28-Kuiper Belt
"Asteroids29", -- 29-Scattered disc
"Asteroids30", -- 30-Parabolic+Hyperbolic Asteroids 
-- ========================
"Asteroids31", -- 31-Systems, asteroids with satellites
"Asteroids32", -- 32-Named Trojans of Jupiter.
"Asteroids33", -- 33-Search for the Ninth Planet
"Asteroids34", -- 34-Large asteroids
-- ========================
--"Asteroids41", -- 41-Trojans. Collection 2
--"Asteroids42", -- 42-Hildas. Collection 2
--Other asteroids (NEA Owen McQueen 3840-158)
-- ========================
"Comets01", -- Comets s.m. axis < 3.5 u.a.
"Comets02", -- Comets s.m. axis < 4.0 u.a.
"Comets03", -- Comets s.m. axis < 5.0 u.a.
"Comets04", -- Comets s.m. axis < 10.0 u.a.
"Comets05", -- Comets s.m. axis < 100.0 u.a.
"Comets06", -- Comets s.m. axis < 1000.0 u.a.
"Comets07", -- Comets s.m. axis < 10000.0 u.a.
"Comets08", -- Comets s.m. axis > 10000.0 u.a.
"Comets09", -- Comets (fragments)
"CometsXYZV", -- Comets with xyzv orbits

}

-------------------------------------------------------------------------------------------------------
-- Define the objects with locations files in extra or data
-------------------------------------------------------------------------------------------------------

ObjectsLocs =
{

-- Testing AL/AS

["Mercury"] = {"AA", "AL", "CA", "DO", "FA", "FO", "MO", "PL", "PM", "RU", "VA", "XX",}, -- 12
["Venus"] = {"AA", "CM", "CO", "CR", "DO", "FL", "FO", "FR", "LB", "LF", "LI", "MO", "PE", "PL", "PM", "RE", "RU", "TA", "TE", "TH", "UN", "VA", "XX",}, --23
-- version Gironde LUT5
--["Earth"] = {"AA", "CH", "City", "CM", "ER", "LF", "ME", "MO", "Observatory", "RE", "TA", "VA", "XX", "G04", "G06", "G07", "G15", "G17", "G18",},
-- version Croc LUT4 Lite
["Earth"] = { "city", "Capitals", "My_Cities", "G01", "G02", "G03", "G04", "G05", "G06", "G07", "G08", "G09", "G10", "G11", "G12", "G13", "G14", "G15", "G16", "G17", "G18", "G19", "XX",}, --23
	["Moon"] = {"AA", "AL", "CA", "DO", "LC", "LF", "ME", "MO", "OC", "PA", "PL", "PR", "RI", "RU", "SF", "SI", "VA", "XX",}, --18
["Mars"] = {"AA", "AL", "CA", "CB", "CH", "CM", "CO", "DO", "FL", "FO", "LA", "LB", "LF", "LN", "MN", "MO", "PA", "PE", "PL", "PM", "RU", "SC", "SE", "SU", "TA", "TH", "UN", "VA", "VS", "XX",}, --30
	["Deimos"] = {"AA", "XX",}, --2
	["Phobos"] = {"AA", "DO", "PL", "RE", "XX",}, --5
["Jupiter"] = {"RG", "XX",}, --	Jupiterrings  --2
	["Amalthea"] = {"AA", "FA", "XX",}, --3
	["Callisto"] = {"AA", "CA", "FA", "LG", "XX",}, --5
	["Europa"] = {"AA", "CH", "FE", "LG", "LI", "MA", "RE", "XX",}, --8
	["Ganymede"] = {"AA", "CA", "FA", "FO", "PE", "RE", "SU", "XX",}, --8
	["Io"] = {"ER", "FL", "MN", "MO", "PE", "PM", "RE", "TH", "VA", "XX",}, --10
	["Thebe"] = {"AA", "XX",}, --2

["Saturn"] = {"RG", "XX",}, --	Saturnrings  --2
	["Dione"] = {"AA", "CA", "CM", "DO", "FO", "XX",}, --6
	["Enceladus"] = {"AA", "DO", "FO", "PL", "RU", "SU", "XX",}, --7
	["Epimetheus"] = {"AA", "XX",}, --2
	["Hyperion"] = {"AA","DO", "XX",}, --3
	["Iapetus"] = {"AA","MO","RE","TA", "XX",}, --5
	["Janus"] = {"AA", "XX",}, --2
	["Mimas"] = {"AA", "CA", "CM", "XX",}, --4
	["Phoebe"] = {"AA","RE", "XX",}, --3
	["Rhea"] = {"AA", "CA", "CM", "FO", "LI", "XX",}, --6
	["Tethys"] = {"AA", "CM", "MO", "XX",}, --4
	["Titan"] = {"AA", "AL", "AR", "CO", "FA", "FL", "FM", "FT", "IN", "LB", "LC", "LF", "LG", "LU", "MA", "ME", "MO", "PE", "PL", "RE", "SI", "TA", "UN", "VI", "XX",}, --25
["Uranus"] = {"RG", "XX",}, --	Uranusrings --2
	["Ariel"] = {"AA", "CM", "VA", "XX",}, --4
	["Miranda"] = {"AA", "CR", "RE", "RU", "SU", "XX",}, --6
	["Oberon"] = {"AA", "CM", "XX",}, --3
	["Puck"] = {"AA", "XX",}, --2
	["Titania"] = {"AA", "CM", "RU", "XX",}, --4
	["Umbriel"] = {"AA", "XX",}, --2
["Neptune"] = {"RG", "XX",}, --2
	["Proteus"] = {"AA", "XX",}, --2
	["Triton"] = {"AA", "CA", "CB", "DO", "FO", "MA", "PE", "PL", "PM", "PU", "RE", "SU", "XX",}, --13
["Ceres"] = {"AA", "CA", "FA", "FO", "MO",  "PL", "PM", "RU", "SU", "TH", "XX",}, --11
["Charon"] = {"AA", "CM", "MA", "MO", "PM", "TA", "XX",}, --7
["Pluto"] = {"AA", "CB", "CO", "DO", "FO", "LI", "MA", "MO", "PL", "RE", "RU", "TA", "VA", "XX",}, --14
--------------------------------------------
["Dactyl"] = {"AA", "XX",},
["243 Ida I"] = {"AA", "XX",}, -- Asteroids01
["*Дактиль"] = {"AA", "XX",}, -- Asteroids02
["1993 243 I"] = {"AA", "XX",}, -- Asteroids03
["243.1"] = {"AA", "XX",}, -- Asteroids05
--------------------------------------------
["Eros"] = {"AA", "DO", "RE", "XX",},
["433 Eros"] = {"AA", "DO", "RE", "XX",}, -- Asteroids01
["*Эрос"] = {"AA", "DO", "RE", "XX",}, -- Asteroids02
["1898 DQ"] = {"AA", "DO", "RE", "XX",}, -- Asteroids03
["433"] = {"AA", "DO", "RE", "XX",}, -- Asteroids05
--------------------------------------------
["Gaspra"] = {"AA", "RE", "XX",},
["951 Gaspra"] = {"AA", "RE", "XX",}, -- Asteroids01
["*Гаспра"] = {"AA", "RE", "XX",}, -- Asteroids02
["1916 S45"] = {"AA", "RE", "XX",}, -- Asteroids03
["951"] = {"AA", "RE", "XX",}, -- Asteroids05
--------------------------------------------
["Ida"] = {"AA", "DO", "RE", "XX",},
["243 Ida"] = {"AA", "DO", "RE", "XX",}, -- Asteroids01
["*Ида"] = {"AA", "DO", "RE", "XX",}, -- Asteroids02
["1884-243*"] = {"AA", "DO", "RE", "XX",}, -- Asteroids03
["243"] = {"AA", "DO", "RE", "XX",}, -- Asteroids05
--------------------------------------------
["Itokawa"] = {"AA", "RE", "XX",},
["25143 Itokawa"] = {"AA", "RE", "XX",}, -- Asteroids01
["*Итокава"] = {"AA", "RE", "XX",}, -- Asteroids02
["1998 SF36"] = {"AA", "RE", "XX",}, -- Asteroids03
["25143"] = {"AA", "RE", "XX",}, -- Asteroids05
--------------------------------------------
["Lutetia"] = {"AA", "DO", "FO", "LA", "RE", "RI", "RU", "XX",},
["21 Lutetia"] = {"AA", "DO", "FO", "LA", "RE", "RI", "RU", "XX",}, -- Asteroids01
["*Лютеция"] = {"AA", "DO", "FO", "LA", "RE", "RI", "RU", "XX",}, -- Asteroids02
["1852-21*"] = {"AA", "DO", "FO", "LA", "RE", "RI", "RU", "XX",}, -- Asteroids03
["21"] = {"AA", "DO", "FO", "LA", "RE", "RI", "RU", "XX",}, -- Asteroids04 and 05
--------------------------------------------
["Mathilde"] = {"AA", "XX",},
["253 Mathilde"] = {"AA", "XX",}, -- Asteroids01
["*Матильда"] = {"AA", "XX",}, -- Asteroids02
["1885-253*"] = {"AA", "XX",}, -- Asteroids03
["253"] = {"AA", "XX",}, -- Asteroids05
--------------------------------------------
["Steins"] = {"AA", "RE", "XX",},
["2867 Steins"] = {"AA", "RE", "XX",}, -- Asteroids01
["*Штейнс"] = {"AA", "RE", "XX",}, -- Asteroids02
["1969 VC"] = {"AA", "RE", "XX",}, -- Asteroids03
["2867"]  = {"AA", "RE", "XX",}, -- Asteroids05
--------------------------------------------
["Vesta"] = {"AA", "CA", "DO", "FO", "PL", "RU", "TA", "TH", "XX",},
["4 Vesta"] = {"AA", "CA", "DO", "FO", "PL", "RU", "TA", "TH", "XX",}, -- Asteroids01
["*Веста"] = {"AA", "CA", "DO", "FO", "PL", "RU", "TA", "TH", "XX",}, -- Asteroids02
["1807-4*"] = {"AA", "CA", "DO", "FO", "PL", "RU", "TA", "TH", "XX",}, -- Asteroids03
["4"] = {"AA", "CA", "DO", "FO", "PL", "RU", "TA", "TH", "XX",}, -- Asteroids05
--------------------------------------------
["67p"]={"RE", "LF", "XX",},
}